#include <rgb_lcd.h>

/*
Uso de interrupciones con los botones push y touch
El botón push va a incrementar un contador y el 
botón touch va a disminuir dicho contador

*/

int bPush=2, bTouch=3;
// declaramos la variable contador como volatile ya que va
// a modificarse dentro de las funciones que corren al generar
// la interrupción

volatile int contador=0;

rgb_lcd pantalla;

//funciones que se disparan con las interrupciones
void aumentarContador(){
  contador++;
}

void disminuirContador(){
  contador--;
}

void setup() {
  pantalla.begin(16, 2);
  pantalla.clear();
  pantalla.setRGB(0, 0, 0);

  //generamos la interrupción para el botón push (pin 2);
  attachInterrupt(digitalPinToInterrupt(bPush), aumentarContador, RISING);

  //generamos la interrupción para el botón touch (pin 3)
  attachInterrupt(digitalPinToInterrupt(bTouch), disminuirContador, RISING);

}

void loop() {
  pantalla.clear();
  pantalla.print("contador:");
  pantalla.setCursor(0, 1);
  pantalla.print(contador);
  delay(200);

}
